.grid-freerolls {
	display: flex;
	padding: 16px 0;
	-webkit-overflow-scrolling: touch;
	-ms-overflow-style: none;
		overflow: -moz-scrollbars-none;
	scrollbar-width: none;
}

.grid-freerolls::-webkit-scrollbar {
	display: none;
}

.grid-freeroll {
	flex-shrink: 0;
	width: 300px;
	padding-right: 8px;
}

.grid-freeroll__inside {
	display: flex;
	flex-direction: column;
	position: relative;
	height: 100%;
	padding: 16px 10px;
	border: 1px solid #D8D8D8;
}

.grid-freeroll__label {
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	top: 0;
	right: 0;
	height: 24px;
	padding: 0 12px;
	font-size: 12px;
	line-height: 14px;
	font-weight: 500;
	text-transform: uppercase;
	color: #ffffff;
	background-color: #FF0000;
}

.grid-freeroll__date {
	margin-bottom: 6px;
	font-size: 12px;
	line-height: 14px;
	color: #757575;
}

.grid-freeroll__date-text--time {
	margin-bottom: 8px;
	font-weight: bold;
	color: #ec0000;
}

.grid-freeroll__title {
	display: flex;
	align-items: center;
	margin-bottom: 16px;
}

.grid-freeroll__title-link,
.grid-freeroll__title-text {
	font-size: 16px;
	line-height: 20px;
	font-weight: bold;
	color: #000000;
}

.grid-freeroll__title-link {
	text-decoration: underline;
}

.grid-freeroll__title-link:hover {
	color: #FF0000;
}

.grid-freeroll__icon {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-shrink: 0;
	width: 36px;
	height: 36px;
	margin-right: 8px;
	border-radius: 4px;
}

.grid-freeroll__icon-image {
	display: block;
	max-width: 100%;
	max-height: 100%;
	object-fit: contain;
}

.grid-freeroll__info {
	display: flex;
	flex-direction: column;
	margin-top: auto;
	margin-bottom: 16px;
}

.grid-freeroll__info-col {
	display: flex;
	align-items: flex-end;
}

.grid-freeroll__info-col:not(:last-child) {
	margin-bottom: 10px;
}

.grid-freeroll__info-label {
	flex-shrink: 0;
	margin-right: 4px;
	font-size: 12px;
	line-height: 24px;
	font-weight: 500;
	color: #757575;
}

.grid-freeroll__info-value {
	font-size: 14px;
	line-height: 24px;
}

.grid-freeroll__info-value--prize {
	font-size: 16px;
	line-height: 24px;
	font-weight: bold;
	color: #ec0000;
}

.grid-freeroll__footer {
	min-height: 48px;
}

.grid-freeroll__get-btn {
	width: 100%;
	margin: 0;
	text-transform: unset;
}

.grid-freeroll__get-btn:before {
	bottom: -18px;
	right: -14px;
}

.grid-freeroll__get-btn.partner-button--review,
.grid-freeroll__get-btn.partner-button--bonus {
	display: none;
}

/* Sidebar and Room Grid */

.grid-freerolls--sidebar,
.grid-freerolls--room {
	padding: 0 0 24px;
	overflow-x: auto;
}

.grid-freerolls--sidebar .grid-freeroll,
.grid-freerolls--room .grid-freeroll {
	min-width: 298px;
	width: 33.33%;
}

.password-btn {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 24px;
	padding: 0 8px 0 0;
	font-size: 14px;
	line-height: 16px;
	font-weight: 500;
	background-color: transparent;
	border: 1px solid #000000;
	border-radius: 4px;
	outline: none;
	overflow: hidden;
}

.password-btn:before {
	content: "";
	display: block;
	width: 24px;
	height: 100%;
	margin-right: 8px;
	background-repeat: no-repeat;
	background-position: center;
	background-size: 16px;
	background-color: #000000;
	background-image: url("data:image/svg+xml,%3Csvg id='password' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M11.5 6H11V3.5C11 2.70435 10.6839 1.94129 10.1213 1.37868C9.55871 0.81607 8.79565 0.5 8 0.5C7.20435 0.5 6.44129 0.81607 5.87868 1.37868C5.31607 1.94129 5 2.70435 5 3.5V6H4.5C3.96974 6.00058 3.46137 6.21148 3.08643 6.58643C2.71148 6.96137 2.50058 7.46974 2.5 8V13.5C2.50058 14.0303 2.71148 14.5386 3.08643 14.9136C3.46137 15.2885 3.96974 15.4994 4.5 15.5H11.5C12.0303 15.4994 12.5386 15.2885 12.9136 14.9136C13.2885 14.5386 13.4994 14.0303 13.5 13.5V8C13.4994 7.46974 13.2885 6.96137 12.9136 6.58643C12.5386 6.21148 12.0303 6.00058 11.5 6ZM10 6H6V3.5C6 2.96957 6.21071 2.46086 6.58579 2.08579C6.96086 1.71071 7.46957 1.5 8 1.5C8.53043 1.5 9.03914 1.71071 9.41421 2.08579C9.78929 2.46086 10 2.96957 10 3.5V6Z' fill='%23FAFF00'/%3E%3Cpath d='M11.5 6H11V3.5C11 2.70435 10.6839 1.94129 10.1213 1.37868C9.55871 0.81607 8.79565 0.5 8 0.5C7.20435 0.5 6.44129 0.81607 5.87868 1.37868C5.31607 1.94129 5 2.70435 5 3.5V6H4.5C3.96974 6.00058 3.46137 6.21148 3.08643 6.58643C2.71148 6.96137 2.50058 7.46974 2.5 8V13.5C2.50058 14.0303 2.71148 14.5386 3.08643 14.9136C3.46137 15.2885 3.96974 15.4994 4.5 15.5H11.5C12.0303 15.4994 12.5386 15.2885 12.9136 14.9136C13.2885 14.5386 13.4994 14.0303 13.5 13.5V8C13.4994 7.46974 13.2885 6.96137 12.9136 6.58643C12.5386 6.21148 12.0303 6.00058 11.5 6ZM10 6H6V3.5C6 2.96957 6.21071 2.46086 6.58579 2.08579C6.96086 1.71071 7.46957 1.5 8 1.5C8.53043 1.5 9.03914 1.71071 9.41421 2.08579C9.78929 2.46086 10 2.96957 10 3.5V6Z' fill='white'/%3E%3Crect x='7.5' y='12' width='1' height='2' rx='0.5' fill='black'/%3E%3Ccircle cx='8' cy='12' r='1' fill='black'/%3E%3C/svg%3E%0A");
}

.password-btn .password-btn__text {
	margin: 0 auto;
}

/* End Sidebar and Room Grid */

/*** Responsive ***/

@media (min-width: 360px) {

	.grid-freeroll {
		padding-right: 12px;
	}

	/* Sidebar and Room Grid */

	.grid-freerolls--sidebar,
	.grid-freerolls--room {
		padding: 0 0 24px;
	}

	.grid-freerolls--sidebar .grid-freeroll ,
	.grid-freerolls--room .grid-freeroll {
		min-width: 302px;
		padding-right: 12px;
	}

	/* End Sidebar and Room Grid */
}

@media (min-width: 768px) {

	.grid-freeroll__info-value--prize {
		font-size: 18px;
		line-height: 24px;
	}

	/* Sidebar and Room Grid */

	.grid-freerolls--sidebar,
	.grid-freerolls--room {
		padding: 0 0 48px;
	}

	.grid-freerolls--sidebar .grid-freeroll ,
	.grid-freerolls--room .grid-freeroll {
		min-width: 280px;
		padding-right: 16px;
	}

	/* End Sidebar and Room Grid */
}

@media (min-width: 1024px) {

	/* Sidebar and Room Grid */

	.grid-freerolls--sidebar {
		overflow: initial;
	}

	.grid-freerolls--sidebar .grid-freeroll {
		min-width: 334px;
	}

	.grid-freerolls--room .grid-freeroll {
		min-width: 282px;
	}

	/* End Sidebar and Room Grid */
}

@media (min-width: 1280px) {

	/* Sidebar Grid */

	.grid-freerolls--sidebar {
		flex-direction: column;
		padding: 0;
	}

	.grid-freerolls--sidebar .grid-freeroll {
		min-width: initial;
		width: 100%;
		padding: 0;
	}

	.grid-freerolls--sidebar .grid-freeroll:not(:last-child) {
		margin-bottom: 16px;
	}

	/* End Sidebar Grid */
}
